Commit 7d832901 authored by Nick Sellen's avatar Nick Sellen Committed by Matthias Larisch

Use babel polyfills and support more browsers

parent 826d0084
......@@ -47,5 +47,19 @@
"webpack-bundle-analyzer": "^2.11.1",
"webpack-cli": "^2.0.12",
"webpack-serve": "^0.2.0"
}
},
"babel": {
"presets": [
[
"@babel/preset-env",
{
"useBuiltIns": "usage"
}
]
]
},
"browserslist": [
"> 0.5%",
"ie_mob >=11"
]
}
......@@ -97,12 +97,7 @@ module.exports = {
/(node_modules)/,
resolve('../js') // ignore the old js/**.js files
],
use: {
loader: 'babel-loader',
options: {
presets: ['@babel/preset-env']
}
}
use: 'babel-loader'
},
{
test: /\.css$/,
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment